<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Chart - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Chart.html">Chart</a><ul class='methods'><li data-type='method'><a href="Chart.html#axis:labels">axis:labels</a></li><li data-type='method'><a href="Chart.html#categories">categories</a></li><li data-type='method'><a href="Chart.html#category">category</a></li><li data-type='method'><a href="Chart.html#color">color</a></li><li data-type='method'><a href="Chart.html#data">data</a></li><li data-type='method'><a href="Chart.html#data:shown">data:shown</a></li><li data-type='method'><a href="Chart.html#defocus">defocus</a></li><li data-type='method'><a href="Chart.html#destroy">destroy</a></li><li data-type='method'><a href="Chart.html#flow">flow</a></li><li data-type='method'><a href="Chart.html#flush">flush</a></li><li data-type='method'><a href="Chart.html#focus">focus</a></li><li data-type='method'><a href="Chart.html#groups">groups</a></li><li data-type='method'><a href="Chart.html#hide">hide</a></li><li data-type='method'><a href="Chart.html#legend:show">legend:show</a></li><li data-type='method'><a href="Chart.html#load">load</a></li><li data-type='method'><a href="Chart.html#regions">regions</a></li><li data-type='method'><a href="Chart.html#regions:add">regions:add</a></li><li data-type='method'><a href="Chart.html#resize">resize</a></li><li data-type='method'><a href="Chart.html#revert">revert</a></li><li data-type='method'><a href="Chart.html#select">select</a></li><li data-type='method'><a href="Chart.html#selected">selected</a></li><li data-type='method'><a href="Chart.html#show">show</a></li><li data-type='method'><a href="Chart.html#toggle">toggle</a></li><li data-type='method'><a href="Chart.html#tooltip:show">tooltip:show</a></li><li data-type='method'><a href="Chart.html#transform">transform</a></li><li data-type='method'><a href="Chart.html#unload">unload</a></li><li data-type='method'><a href="Chart.html#unselect">unselect</a></li><li data-type='method'><a href="Chart.html#unzoom">unzoom</a></li><li data-type='method'><a href="Chart.html#x">x</a></li><li data-type='method'><a href="Chart.html#xgrids">xgrids</a></li><li data-type='method'><a href="Chart.html#xgrids:add">xgrids:add</a></li><li data-type='method'><a href="Chart.html#xs">xs</a></li><li data-type='method'><a href="Chart.html#ygrids">ygrids</a></li><li data-type='method'><a href="Chart.html#ygrids:add">ygrids:add</a></li><li data-type='method'><a href="Chart.html#zoom">zoom</a></li><li data-type='method'><a href="Chart.html#zoom:enable">zoom:enable</a></li></ul></li><li><a href="Options.html">Options</a><ul class='members'><li data-type='member'><a href="Options.html#.area">area</a></li><li data-type='member'><a href="Options.html#.axis:rotated">axis:rotated</a></li><li data-type='member'><a href="Options.html#.axis:x:categories">axis:x:categories</a></li><li data-type='member'><a href="Options.html#.axis:x:extent">axis:x:extent</a></li><li data-type='member'><a href="Options.html#.axis:x:height">axis:x:height</a></li><li data-type='member'><a href="Options.html#.axis:x:label">axis:x:label</a></li><li data-type='member'><a href="Options.html#.axis:x:localtime">axis:x:localtime</a></li><li data-type='member'><a href="Options.html#.axis:x:max">axis:x:max</a></li><li data-type='member'><a href="Options.html#.axis:x:min">axis:x:min</a></li><li data-type='member'><a href="Options.html#.axis:x:padding">axis:x:padding</a></li><li data-type='member'><a href="Options.html#.axis:x:show">axis:x:show</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:centered">axis:x:tick:centered</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:count">axis:x:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:culling">axis:x:tick:culling</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:culling:max">axis:x:tick:culling:max</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:fit">axis:x:tick:fit</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:format">axis:x:tick:format</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:multiline">axis:x:tick:multiline</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:outer">axis:x:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:rotate">axis:x:tick:rotate</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:values">axis:x:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:width">axis:x:tick:width</a></li><li data-type='member'><a href="Options.html#.axis:x:type">axis:x:type</a></li><li data-type='member'><a href="Options.html#.axis:y2:center">axis:y2:center</a></li><li data-type='member'><a href="Options.html#.axis:y2:default">axis:y2:default</a></li><li data-type='member'><a href="Options.html#.axis:y2:inner">axis:y2:inner</a></li><li data-type='member'><a href="Options.html#.axis:y2:inverted">axis:y2:inverted</a></li><li data-type='member'><a href="Options.html#.axis:y2:label">axis:y2:label</a></li><li data-type='member'><a href="Options.html#.axis:y2:max">axis:y2:max</a></li><li data-type='member'><a href="Options.html#.axis:y2:min">axis:y2:min</a></li><li data-type='member'><a href="Options.html#.axis:y2:padding">axis:y2:padding</a></li><li data-type='member'><a href="Options.html#.axis:y2:show">axis:y2:show</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:count">axis:y2:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:format">axis:y2:tick:format</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:outer">axis:y2:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:values">axis:y2:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:y:center">axis:y:center</a></li><li data-type='member'><a href="Options.html#.axis:y:default">axis:y:default</a></li><li data-type='member'><a href="Options.html#.axis:y:format">axis:y:format</a></li><li data-type='member'><a href="Options.html#.axis:y:inner">axis:y:inner</a></li><li data-type='member'><a href="Options.html#.axis:y:inverted">axis:y:inverted</a></li><li data-type='member'><a href="Options.html#.axis:y:label">axis:y:label</a></li><li data-type='member'><a href="Options.html#.axis:y:max">axis:y:max</a></li><li data-type='member'><a href="Options.html#.axis:y:min">axis:y:min</a></li><li data-type='member'><a href="Options.html#.axis:y:padding">axis:y:padding</a></li><li data-type='member'><a href="Options.html#.axis:y:show">axis:y:show</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:count">axis:y:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:outer">axis:y:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:values">axis:y:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:y:type">axis:y:type</a></li><li data-type='member'><a href="Options.html#.bar">bar</a></li><li data-type='member'><a href="Options.html#.bindto">bindto</a></li><li data-type='member'><a href="Options.html#.clipPath">clipPath</a></li><li data-type='member'><a href="Options.html#.color">color</a></li><li data-type='member'><a href="Options.html#.data:axes">data:axes</a></li><li data-type='member'><a href="Options.html#.data:classes">data:classes</a></li><li data-type='member'><a href="Options.html#.data:color">data:color</a></li><li data-type='member'><a href="Options.html#.data:colors">data:colors</a></li><li data-type='member'><a href="Options.html#.data:columns">data:columns</a></li><li data-type='member'><a href="Options.html#.data:empty:label:text">data:empty:label:text</a></li><li data-type='member'><a href="Options.html#.data:groups">data:groups</a></li><li data-type='member'><a href="Options.html#.data:hide">data:hide</a></li><li data-type='member'><a href="Options.html#.data:json">data:json</a></li><li data-type='member'><a href="Options.html#.data:keys">data:keys</a></li><li data-type='member'><a href="Options.html#.data:labels">data:labels</a></li><li data-type='member'><a href="Options.html#.data:mimeType">data:mimeType</a></li><li data-type='member'><a href="Options.html#.data:names">data:names</a></li><li data-type='member'><a href="Options.html#.data:onclick">data:onclick</a></li><li data-type='member'><a href="Options.html#.data:onmax">data:onmax</a></li><li data-type='member'><a href="Options.html#.data:onmin">data:onmin</a></li><li data-type='member'><a href="Options.html#.data:onout">data:onout</a></li><li data-type='member'><a href="Options.html#.data:onover">data:onover</a></li><li data-type='member'><a href="Options.html#.data:onselected">data:onselected</a></li><li data-type='member'><a href="Options.html#.data:onunselected">data:onunselected</a></li><li data-type='member'><a href="Options.html#.data:order">data:order</a></li><li data-type='member'><a href="Options.html#.data:regions">data:regions</a></li><li data-type='member'><a href="Options.html#.data:rows">data:rows</a></li><li data-type='member'><a href="Options.html#.data:selection:draggable">data:selection:draggable</a></li><li data-type='member'><a href="Options.html#.data:selection:enabled">data:selection:enabled</a></li><li data-type='member'><a href="Options.html#.data:selection:grouped">data:selection:grouped</a></li><li data-type='member'><a href="Options.html#.data:selection:isselectable">data:selection:isselectable</a></li><li data-type='member'><a href="Options.html#.data:selection:multiple">data:selection:multiple</a></li><li data-type='member'><a href="Options.html#.data:type">data:type</a></li><li data-type='member'><a href="Options.html#.data:types">data:types</a></li><li data-type='member'><a href="Options.html#.data:url">data:url</a></li><li data-type='member'><a href="Options.html#.data:x">data:x</a></li><li data-type='member'><a href="Options.html#.data:xFormat">data:xFormat</a></li><li data-type='member'><a href="Options.html#.data:xLocaltime">data:xLocaltime</a></li><li data-type='member'><a href="Options.html#.data:xs">data:xs</a></li><li data-type='member'><a href="Options.html#.data:xSort">data:xSort</a></li><li data-type='member'><a href="Options.html#.donut">donut</a></li><li data-type='member'><a href="Options.html#.gauge">gauge</a></li><li data-type='member'><a href="Options.html#.grid">grid</a></li><li data-type='member'><a href="Options.html#.interaction">interaction</a></li><li data-type='member'><a href="Options.html#.legend">legend</a></li><li data-type='member'><a href="Options.html#.line">line</a></li><li data-type='member'><a href="Options.html#.onafterinit">onafterinit</a></li><li data-type='member'><a href="Options.html#.onbeforeinit">onbeforeinit</a></li><li data-type='member'><a href="Options.html#.oninit">oninit</a></li><li data-type='member'><a href="Options.html#.onout">onout</a></li><li data-type='member'><a href="Options.html#.onover">onover</a></li><li data-type='member'><a href="Options.html#.onrendered">onrendered</a></li><li data-type='member'><a href="Options.html#.onresize">onresize</a></li><li data-type='member'><a href="Options.html#.onresized">onresized</a></li><li data-type='member'><a href="Options.html#.padding">padding</a></li><li data-type='member'><a href="Options.html#.pie">pie</a></li><li data-type='member'><a href="Options.html#.point">point</a></li><li data-type='member'><a href="Options.html#.regions">regions</a></li><li data-type='member'><a href="Options.html#.resize">resize</a></li><li data-type='member'><a href="Options.html#.size">size</a></li><li data-type='member'><a href="Options.html#.spline">spline</a></li><li data-type='member'><a href="Options.html#.subchart">subchart</a></li><li data-type='member'><a href="Options.html#.svg">svg</a></li><li data-type='member'><a href="Options.html#.title">title</a></li><li data-type='member'><a href="Options.html#.tooltip">tooltip</a></li><li data-type='member'><a href="Options.html#.transition">transition</a></li><li data-type='member'><a href="Options.html#.zoom">zoom</a></li></ul></li></ul><h3>Namespaces</h3><ul><li><a href="bb.html">bb</a><ul class='members'><li data-type='member'><a href="bb.html#.version">version</a></li></ul><ul class='methods'><li data-type='method'><a href="bb.html#.generate">generate</a></li></ul></li></ul>
</nav>

<div id="main">
    
    <h1 class="page-title">Chart</h1>
    

    




<section>

<header>
    
        <h2>
        Chart
        </h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    <h4 class="name" id="Chart"><span class="type-signature"></span>new Chart<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line907">line 907</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="bb.html#.generate">bb.generate</a> for the initialization.</li>
        </ul>
    </dd>
    

    
</dl>





<div class="description">
    <p>Main chart class.</p>
<ul>
<li>Note: Instantiated via <code>bb.generate()</code>.</li>
</ul>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>var chart = bb.generate({ data: {   columns: [	    ["x", "2015-11-02", "2015-12-01", "2016-01-01", "2016-02-01", "2016-03-01"],	    ["count1", 11, 8, 7, 6, 5 ],	    ["count2", 9, 3, 6, 2, 8 ]  ]}}</code></pre>


















    
    </div>

    

    

    

     

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="axis:labels"><span class="type-signature"></span>axis:labels<span class="signature">(labels)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10271">line 10271</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get and set axis labels.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Update axis' labelchart.axis.labels({  x: "New X Axis Label",  y: "New Y Axis Label"});</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>labels</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>specified axis' label to be updated.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="categories"><span class="type-signature"></span>categories<span class="signature">(categories)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10088">line 10088</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Set category names on category axis.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.categories([     "Category 1", "Category 2", ...]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>categories</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>This must be an array that includes category names in string. If category names are included in the date by data.x option, this is not required.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="category"><span class="type-signature"></span>category<span class="signature">(i, category)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10069">line 10069</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Set specified category name on category axis.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.category(2, "Category 3");</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>i</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last"><p>index of category to be changed</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>category</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"><p>category value to be changed</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="color"><span class="type-signature"></span>color<span class="signature">(id)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10124">line 10124</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get the color</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.color("data1");</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>id</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"><p>id to get the color</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="data"><span class="type-signature"></span>data<span class="signature">(targetIds)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9984">line 9984</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get data loaded in the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Get only data1 datachart.data("data1");// Get data1 and data2 datachart.data(["data1", "data2"]);// Get all datachart.data();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIds</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>If this argument is given, this API returns the specified target data. If this argument is not given, all of data will be returned.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="data:shown"><span class="type-signature"></span>data:shown<span class="signature">(targetIds)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10012">line 10012</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get data shown in the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Get shown data by filtering to include only data1 datachart.data.shown("data1");// Get shown data by filtering to include data1 and data2 datachart.data.shown(["data1", "data2"]);// Get all shown datachart.data.shown();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIds</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>If this argument is given, this API filters the data with specified target ids. If this argument is not given, all shown data will be returned.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="defocus"><span class="type-signature"></span>defocus<span class="signature">(Target)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line8990">line 8990</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>This API fades out specified targets and reverts the others.<br><br>
You can specify multiple targets by giving an array that includes id as String. If no argument is given, all of targets will be faded out.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// data1 will be faded out and the others will be reverted.chart.defocus("data1");// data1 and data2 will be faded out and the others will be reverted.chart.defocus(["data1", "data2"]);// all targets will be faded out.chart.defocus();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Target</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>ids to be faded out.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="destroy"><span class="type-signature"></span>destroy<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10406">line 10406</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Reset the chart object and remove element and events completely.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.destroy();</code></pre>


















        
            

    

    <h4 class="name" id="flow"><span class="type-signature"></span>flow<span class="signature">(args)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9370">line 9370</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Flow data to the chart.<br><br>
By this API, you can append new data points to the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// 2 data points will be apprended to the tail and popped from the head.// After that, 4 data points will be appended and no data points will be poppoed.chart.flow({ columns: [   ["x", "2013-01-11", "2013-01-21"],   ["data1", 500, 200],   ["data2", 100, 300],   ["data3", 200, 120] ], done: function () {   chart.flow({     columns: [       ["x", "2013-02-11", "2013-02-12", "2013-02-13", "2013-02-14"],       ["data1", 200, 300, 100, 250],       ["data2", 100, 90, 40, 120],       ["data3", 100, 100, 300, 500]     ],     length: 0   }); }});</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>args</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><ul>
<li>If json, rows and columns given, the data will be loaded. If data that has the same target id is given, the chart will be appended. Otherwise, new target will be added. One of these is required when calling. If json specified, keys is required as well as data.json</li>
<li>If to is given, the lower x edge will move to that point. If not given, the lower x edge will move by the number of given data points.</li>
<li>If length is given, the lower x edge will move by the number of this argument.</li>
<li>If duration is given, the duration of the transition will be specified value. If not given, transition.duration will be used as default.</li>
<li>If done is given, the specified function will be called when flow ends.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="flush"><span class="type-signature"></span>flush<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10389">line 10389</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Force to redraw.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.flush();</code></pre>


















        
            

    

    <h4 class="name" id="focus"><span class="type-signature"></span>focus<span class="signature">(targetIdsValue)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line8963">line 8963</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>This API highlights specified targets and fade out the others.<br><br>
You can specify multiple targets by giving an array that includes id as String. If no argument is given, all of targets will be highlighted.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// data1 will be highlighted and the others will be faded out chart.focus("data1");// data1 and data2 will be highlighted and the others will be faded outchart.focus(["data1", "data2"]);// all targets will be highlightedchart.focus();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIdsValue</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>Target ids to be highlighted.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="groups"><span class="type-signature"></span>groups<span class="signature">(groups)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9760">line 9760</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Update groups for the targets.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// data1 and data2 will be a new group. chart.groups([    ["data1", "data2"] ]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>groups</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>This argument needs to be an Array that includes one or more Array that includes target ids to be grouped.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="hide"><span class="type-signature"></span>hide<span class="signature">(targetIdsValue, options)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9090">line 9090</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Hide data points</p>
</div>











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIdsValue</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>options</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="legend:show"><span class="type-signature"></span>legend:show<span class="signature">(targetIds)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10325">line 10325</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Show legend for each target.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Show legend for data1.chart.legend.show("data1");// Show legend for data1 and data2.chart.legend.show(["data1", "data2"]);// Show all legend.chart.legend.show();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIds</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><ul>
<li>If targetIds is given, specified target's legend will be shown.</li>
<li>If only one target is the candidate, String can be passed.</li>
<li>If no argument is given, all of target's legend will be shown.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="load"><span class="type-signature"></span>load<span class="signature">(args)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9270">line 9270</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Load data to the chart.<br><br>
You can specify multiple targets by giving an array that includes id as String. If no argument is given, all of targets will be toggles.</p>
<ul>
<li><b>Note:</b>
unload should be used if some data needs to be unloaded simultaneously. If you call unload API soon after/before load instead of unload param, chart will not be rendered properly because of cancel of animation.<br>
done will be called after data loaded, but it's not after rendering. It's because rendering will finish after some transition and there is some time lag between loading and rendering</li>
</ul>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Load data1 and unload data2 and data3 chart.load({    columns: [       ["data1", 100, 200, 150, ...],       ...   ],   unload: ["data2", "data3"] });</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>args</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><ul>
<li>If url, json, rows and columns given, the data will be loaded. If data that has the same target id is given, the chart will be updated. Otherwise, new target will be added.</li>
<li>If classes given, the classes specifed by data.classes will be updated. classes must be Object that has target id as keys.</li>
<li>If categories given, the categories specifed by axis.x.categories or data.x will be updated. categories must be Array.</li>
<li>If axes given, the axes specifed by data.axes will be updated. axes must be Object that has target id as keys.</li>
<li>If colors given, the colors specifed by data.colors will be updated. colors must be Object that has target id as keys.</li>
<li>If type or types given, the type of targets will be updated. type must be String and types must be Object.</li>
<li>If unload given, data will be unloaded before loading new data. If true given, all of data will be unloaded. If target ids given as String or Array, specified targets will be unloaded.</li>
<li>If done given, the specified function will be called after data loded.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="regions"><span class="type-signature"></span>regions<span class="signature">(regions)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9903">line 9903</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Update regions.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Show 2 regionschart.regions([   {axis: "x", start: 5, class: "regionX"},   {axis: "y", end: 50, class: "regionY"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>regions</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>Regions will be replaced with this argument. The format of this argument is the same as regions.</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        
<div class="param-desc">
    <p>regions</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>


    </dd>
</dl>

    


        
            

    

    <h4 class="name" id="regions:add"><span class="type-signature"></span>regions:add<span class="signature">(regions)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9923">line 9923</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Add new region.<br><br>
This API adds new region instead of replacing like regions.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Add a new regionchart.regions.add(   {axis: "x", start: 5, class: "regionX"});// Add new regionschart.regions.add([   {axis: "x", start: 5, class: "regionX"},   {axis: "y", end: 50, class: "regionY"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>regions</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>
|

<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>New region will be added. The format of this argument is the same as regions and it's possible to give an Object if only one region will be added.</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        
<div class="param-desc">
    <p>regions</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>


    </dd>
</dl>

    


        
            

    

    <h4 class="name" id="resize"><span class="type-signature"></span>resize<span class="signature">(size)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10369">line 10369</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Resize the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Resize to 640x480chart.resize({   width: 640,   height: 480});</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>size</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>This argument should include width and height in pixels.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="revert"><span class="type-signature"></span>revert<span class="signature">(Target)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9017">line 9017</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>This API reverts specified targets.<br><br>
You can specify multiple targets by giving an array that includes id as String. If no argument is given, all of targets will be reverted.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// data1 will be reverted.chart.revert("data1");// data1 and data2 will be reverted.chart.revert(["data1", "data2"]);// all targets will be reverted.chart.revert();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Target</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>ids to be reverted</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="select"><span class="type-signature"></span>select<span class="signature">(ids, indices, resetOther)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9626">line 9626</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Set data points to be selected.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// select from 'data1', indices 2 and unselect others selected chart.select("data1", 2, true);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>ids</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>indices</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>resetOther</code></td>
            

            <td class="type">
            
                
<span class="param-type">Boolean</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="selected"><span class="type-signature"></span>selected<span class="signature">(targetId)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9598">line 9598</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get selected data points.<br><br>
By this API, you can get selected data points information. To use this API, data.selection.enabled needs to be set true.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// all selected data points will be returned. chart.selected(); // all selected data points of data1 will be returned. chart.selected("data1");</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetId</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"><p>You can filter the result by giving target id that you want to get. If not given, all of data points will be returned.</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        
<div class="param-desc">
    <p>dataPoint</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>


    </dd>
</dl>

    


        
            

    

    <h4 class="name" id="show"><span class="type-signature"></span>show<span class="signature">(targetIdsValue, options)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9064">line 9064</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Show data points</p>
</div>











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIdsValue</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>options</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="toggle"><span class="type-signature"></span>toggle<span class="signature">(targetIds, options)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9116">line 9116</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Toggle data points</p>
</div>











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>targetIds</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>options</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="tooltip:show"><span class="type-signature"></span>tooltip:show<span class="signature">(args)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10467">line 10467</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Show tooltip</p>
</div>











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>args</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="transform"><span class="type-signature"></span>transform<span class="signature">(type, targetIds)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9701">line 9701</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Change the type of the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// all targets will be bar chart. chart.transform("bar"); // only data1 will be bar chart. chart.transform("bar", "data1"); // only data1 and data2 will be bar chart. chart.transform("bar", ["data1", "data2"]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>type</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"><p>Specify the type to be transformed. The types listed in data.type can be used.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>targetIds</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>
|

<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>Specify targets to be transformed. If not given, all targets will be the candidate.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="unload"><span class="type-signature"></span>unload<span class="signature">(args)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9320">line 9320</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Unload data to the chart.<br><br>
You can specify multiple targets by giving an array that includes id as String. If no argument is given, all of targets will be toggles.</p>
<ul>
<li><b>Note:</b>
If you call load API soon after/before unload, unload param of load should be used. Otherwise chart will not be rendered properly because of cancel of animation.<br>
<code>done</code> will be called after data loaded, but it's not after rendering. It's because rendering will finish after some transition and there is some time lag between loading and rendering.</li>
</ul>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Unload data2 and data3 chart.unload({   ids: ["data2", "data3"] });</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>args</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><ul>
<li>If ids given, the data that has specified target id will be unloaded. ids should be String or Array. If ids is not specified, all data will be unloaded.</li>
<li>If done given, the specified function will be called after data loded.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="unselect"><span class="type-signature"></span>unselect<span class="signature">(ids, indices)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9656">line 9656</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Set data points to be un-selected.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// unselect from 'data1', indices 2 chart.unselect("data1", 2);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>ids</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>indices</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="unzoom"><span class="type-signature"></span>unzoom<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9234">line 9234</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Unzoom zoomed area</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>chart.unzoom();</code></pre>


















        
            

    

    <h4 class="name" id="x"><span class="type-signature"></span>x<span class="signature">(x)</span><span class="type-signature"> &rarr; {Object}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10158">line 10158</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get and set x values for the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Get current x values chart.x(); // Update x values for all targets chart.x([100, 200, 300, 400, ...]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>x</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>If x is given, x values of every target will be updated. If no argument is given, current x values will be returned as an Object whose keys are the target ids.</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        
<div class="param-desc">
    <p>xs</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Object</span>


    </dd>
</dl>

    


        
            

    

    <h4 class="name" id="xgrids"><span class="type-signature"></span>xgrids<span class="signature">(grids)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9792">line 9792</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Update x grid lines.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Show 2 x grid lineschart.xgrids([   {value: 1, text: "Label 1"},   {value: 4, text: "Label 4"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>grids</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>X grid lines will be replaced with this argument. The format of this argument is the same as grid.x.lines.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="xgrids:add"><span class="type-signature"></span>xgrids:add<span class="signature">(grids)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9815">line 9815</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Add x grid lines.<br>
This API adds new x grid lines instead of replacing like xgrids.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Add a new x grid linechart.xgrids.add(  {value: 4, text: "Label 4"});// Add new x grid lineschart.xgrids.add([  {value: 2, text: "Label 2"},  {value: 4, text: "Label 4"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>grids</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>
|

<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>New x grid lines will be added. The format of this argument is the same as grid.x.lines and it's possible to give an Object if only one line will be added.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="xs"><span class="type-signature"></span>xs<span class="signature">(xs)</span><span class="type-signature"> &rarr; {Object}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line10182">line 10182</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Get and set x values for the chart.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Get current x values chart.xs(); // Update x values for all targets chart.xs({   data1: [10, 20, 30, 40, ...],   data2: [100, 200, 300, 400, ...] });</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>xs</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>If xs is given, specified target's x values will be updated. If no argument is given, current x values will be returned as an Object whose keys are the target ids.</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        
<div class="param-desc">
    <p>xs</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Object</span>


    </dd>
</dl>

    


        
            

    

    <h4 class="name" id="ygrids"><span class="type-signature"></span>ygrids<span class="signature">(grids)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9841">line 9841</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Update y grid lines.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Show 2 y grid lineschart.ygrids([   {value: 100, text: "Label 1"},   {value: 400, text: "Label 4"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>grids</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>Y grid lines will be replaced with this argument. The format of this argument is the same as grid.y.lines.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="ygrids:add"><span class="type-signature"></span>ygrids:add<span class="signature">(grids)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9860">line 9860</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Add y grid lines.<br>
This API adds new y grid lines instead of replacing like ygrids.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Add a new x grid linechart.ygrids.add(  {value: 400, text: "Label 4"});// Add new x grid lineschart.ygrids.add([  {value: 200, text: "Label 2"},  {value: 400, text: "Label 4"}]);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>grids</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>
|

<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>New y grid lines will be added. The format of this argument is the same as grid.y.lines and it's possible to give an Object if only one line will be added.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="zoom"><span class="type-signature"></span>zoom<span class="signature">(domainValue)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9148">line 9148</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Zoom by giving x domain.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Zoom to specified domain chart.zoom([10, 20]); // Get the current zoomed domain chart.zoom();</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>domainValue</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last"><p>If domain is given, the chart will be zoomed to the given domain. If no argument is given, the current zoomed domain will be returned.</p></td>
        </tr>

    
    </tbody>
</table>
















        
            

    

    <h4 class="name" id="zoom:enable"><span class="type-signature"></span>zoom:enable<span class="signature">(enabled)</span><span class="type-signature"></span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line9191">line 9191</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description">
    <p>Enable and disable zooming.</p>
</div>









    <h5>Example</h5>
    
    <pre class="prettyprint"><code>// Enable zooming chart.zoom.enable(true);</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>enabled</code></td>
            

            <td class="type">
            
                
<span class="param-type">Boolean</span>


            
            </td>

            

            

            <td class="description last"><p>If enabled is true, the feature of zooming will be enabled. If false is given, it will be disabled.</p></td>
        </tr>

    
    </tbody>
</table>
















        
    

    

    
</article>

</section>




</div>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.4</a> using the <a href="https://github.com/clenemt/docdash">docdash</a> theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>